Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.ds
Class Project

    java.lang.Object
      |
      +--jedi.ds.Project

public class Project
extends java.lang.Object

Field Summary
`static java.io.File` | `compileDir`
`static int` | `EXPORT_COMPLETE_PACKAGE`
`static int` | `EXPORT_SOURCES_ONLY`
`static java.io.File` | `packageDir`
`static java.io.File` | `projectDir`
`static java.io.File` | `sourcesDir`

Constructor Summary
`Project(java.lang.String projectname)`
`Project(java.lang.String n, jedi.ds.MessageReceiver receiver)`

Method Summary
`Package` | `add(java.lang.String packagename)`
`int` | `countClasses()`
`boolean` | `delete(Package pa)`
`static boolean` | `delete(java.lang.String projectname)`
`void` | `deleteAllCompiledClasses()`
`boolean` | `export(java.io.File directory, int flag, ProjectSaver s)`
`Package` | `get(java.lang.String packagename)`
`protected java.lang.String[]` | `getAllClassNames()`
`java.io.File` | `getCompileDirectory()`
`java.lang.String[]` | `getExtendsList()`
`java.lang.String[]` | `getImplementsList()`
`java.util.Vector` | `getMainMethods()`
`java.lang.String` | `getName()`
`static java.lang.String[]` | `getPackageList()`
`java.lang.String[]` | `getPackageNames()`
`Package[]` | `getPackages()`
`static java.lang.String[]` | `getProjectList()`
`java.lang.String` | `getProperty(java.lang.String name)`
`boolean` | `isChanged()`
`void` | `loadProperties()`
`void` | `putProperty(java.lang.String name, java.lang.String value)`
`void` | `remove(java.lang.String packagename)`
`void` | `saveChanges()`
`void` | `saveProperties()`
`void` | `setExtendsList(java.lang.String[] s)`
`void` | `setImplementsList(java.lang.String[] s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPORT_COMPLETE_PACKAGE

    public static final int EXPORT_COMPLETE_PACKAGE

### EXPORT_SOURCES_ONLY

    public static final int EXPORT_SOURCES_ONLY

### projectDir

    public static java.io.File projectDir

### packageDir

    public static java.io.File packageDir

### sourcesDir

    public static java.io.File sourcesDir

### compileDir

    public static java.io.File compileDir

Constructor Detail

### Project

    public Project(java.lang.String projectname)

### Project

    public Project(java.lang.String n,
                   jedi.ds.MessageReceiver receiver)

Method Detail

### add

    public Package add(java.lang.String packagename)

### countClasses

    public int countClasses()

### delete

    public static boolean delete(java.lang.String projectname)

### delete

    public boolean delete(Package pa)

### deleteAllCompiledClasses

    public void deleteAllCompiledClasses()

### export

    public boolean export(java.io.File directory,
                          int flag,
                          ProjectSaver s)

### get

    public Package get(java.lang.String packagename)

### getAllClassNames

    protected java.lang.String[] getAllClassNames()

### getCompileDirectory

    public java.io.File getCompileDirectory()

### getExtendsList

    public java.lang.String[] getExtendsList()

### getImplementsList

    public java.lang.String[] getImplementsList()

### getMainMethods

    public java.util.Vector getMainMethods()

### getName

    public java.lang.String getName()

### getPackageList

    public static java.lang.String[] getPackageList()

### getPackageNames

    public java.lang.String[] getPackageNames()

### getPackages

    public Package[] getPackages()

### getProjectList

    public static java.lang.String[] getProjectList()

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### isChanged

    public boolean isChanged()

### loadProperties

    public void loadProperties()

### putProperty

    public void putProperty(java.lang.String name,
                            java.lang.String value)

### remove

    public void remove(java.lang.String packagename)

### saveChanges

    public void saveChanges()

### saveProperties

    public void saveProperties()

### setExtendsList

    public void setExtendsList(java.lang.String[] s)

### setImplementsList

    public void setImplementsList(java.lang.String[] s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD